SVNKit Home

## org.tmatesoft.svn.core.wc
Class SVNCommitPacket

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNCommitPacket

public class SVNCommitPacket
extends Object

The SVNCommitPacket is a storage for SVNCommitItem objects which represent information on versioned items intended for being committed to a repository.

Used by SVNCommitClient in `doCollectCommitItems()` to collect and hold information on paths that have local changes.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `SVNCommitItem`

Field Summary
`static SVNCommitPacket` `EMPTY` This constant denotes an empty commit items storage (contains no `SVNCommitItem` objects).

Method Summary
`void` `dispose()` Disposes the current object.
`SVNCommitItem[]` `getCommitItems()` Gets an array of SVNCommitItem objects stored in this object.
`boolean` `isCommitItemSkipped(SVNCommitItem item)` Determines if an item intended for a commit is set to be skipped - that is not to be committed.
`boolean` `isDisposed()` Determines if this object is disposed.
`void` `setCommitItemSkipped(SVNCommitItem item, boolean skipped)` Sets or unsets a versioned item to be skipped - whether or not it should be committed.
`String` `toString()` Gives a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY

    public static final SVNCommitPacket EMPTY

  This constant denotes an empty commit items storage (contains no `SVNCommitItem` objects).

Method Detail

### getCommitItems

    public SVNCommitItem[] getCommitItems()

  Gets an array of SVNCommitItem objects stored in this object.

  Returns:
    an array of SVNCommitItem objects containing info of versioned items to be committed

### setCommitItemSkipped

    public void setCommitItemSkipped(SVNCommitItem item,
                                     boolean skipped)

  Sets or unsets a versioned item to be skipped - whether or not it should be committed.

  Parameters:
    `item` - an item that should be marked skipped
    `skipped` - if true the item is set to be skipped (a commit operation should skip the item), otherwise - unskipped if it was previously marked skipped
  See Also:
    `isCommitItemSkipped(SVNCommitItem)`

### isCommitItemSkipped

    public boolean isCommitItemSkipped(SVNCommitItem item)

  Determines if an item intended for a commit is set to be skipped - that is not to be committed.

  Parameters:
    `item` - an item to check
  Returns:
    true if the item is set to be skipped, otherwise false
  See Also:
    `setCommitItemSkipped(SVNCommitItem, boolean)`

### isDisposed

    public boolean isDisposed()

  Determines if this object is disposed.

  Returns:
    true if disposed otherwise false

### dispose

    public void dispose()
                 throws SVNException

  Disposes the current object.

  Throws:
    `SVNException`

### toString

    public String toString()

  Gives a string representation of this object.

  Returns:
    a string representing this object.

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.